summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Anj Duvnjak2020-01-03 04:25:13 +0100
committer Robby Workman2020-01-03 06:33:51 +0100
commitca7f203daefaac8a4e91e6886cc794160884e5a9 (patch)
treeed4d13efe7d106ce66d1c0030aec66d74e5e2c9c /network
parent47056bddc4fd2745c3ed4428acfdaacb554a390d (diff)
downloadslackbuilds-ca7f203daefaac8a4e91e6886cc794160884e5a9.tar.gz
network/wireguard-linux-compat: Added (WireGuard kernel module)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/wireguard-linux-compat/README7
-rw-r--r--network/wireguard-linux-compat/doinst.sh3
-rw-r--r--network/wireguard-linux-compat/slack-desc19
-rw-r--r--network/wireguard-linux-compat/wireguard-linux-compat.SlackBuild96
-rw-r--r--network/wireguard-linux-compat/wireguard-linux-compat.info10
5 files changed, 135 insertions, 0 deletions
diff --git a/network/wireguard-linux-compat/README b/network/wireguard-linux-compat/README
new file mode 100644
index 0000000000..3aa5507bfa
--- /dev/null
+++ b/network/wireguard-linux-compat/README
@@ -0,0 +1,7 @@
+WireGuard is a VPN that uses state-of-the-art cryptography. It is
+designed as a general purpose VPN for running on embedded interfaces
+and super computers alike, fit for many different circumstances.
+
+This script only builds the WireGuard kernel module. Userspace
+tools are also required to configure and use WireGuard tunnels. Refer
+to the wireguard-tools script on Slackbuilds.
diff --git a/network/wireguard-linux-compat/doinst.sh b/network/wireguard-linux-compat/doinst.sh
new file mode 100644
index 0000000000..d335d682c8
--- /dev/null
+++ b/network/wireguard-linux-compat/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x sbin/depmod ]; then
+ chroot . /sbin/depmod -a @KERNEL@ 1> /dev/null 2> /dev/null
+fi
diff --git a/network/wireguard-linux-compat/slack-desc b/network/wireguard-linux-compat/slack-desc
new file mode 100644
index 0000000000..625f285323
--- /dev/null
+++ b/network/wireguard-linux-compat/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wireguard-linux-compat: wireguard-linux-compat (WireGuard kernel module)
+wireguard-linux-compat:
+wireguard-linux-compat: WireGuard is a VPN that uses state-of-the-art cryptography. It is
+wireguard-linux-compat: designed as a general purpose VPN for running on embedded interfaces
+wireguard-linux-compat: and super computers alike, fit for many different circumstances.
+wireguard-linux-compat:
+wireguard-linux-compat: https://www.wireguard.com/
+wireguard-linux-compat:
+wireguard-linux-compat:
+wireguard-linux-compat:
+wireguard-linux-compat:
diff --git a/network/wireguard-linux-compat/wireguard-linux-compat.SlackBuild b/network/wireguard-linux-compat/wireguard-linux-compat.SlackBuild
new file mode 100644
index 0000000000..d1b70074e8
--- /dev/null
+++ b/network/wireguard-linux-compat/wireguard-linux-compat.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for the WireGuard kernel module
+
+# Copyright 2017-2019 David Spencer, Baildon, West Yorkshire, U.K.
+# Copyright 2020 Anj Duvnjak
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wireguard-linux-compat
+VERSION=${VERSION:-0.0.20191226}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+KERNEL="${KERNEL:-"$(uname -r)"}"
+PKGVER="$(printf %s "${VERSION}_$KERNEL" | tr - _)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Although counterintuitive, setting DEPMOD true prevents it executing
+# Instead depmod will run as part of doinst.sh
+
+cd src
+ env -u ARCH CFLAGS="$SLKCFLAGS" make
+ env -u ARCH make install \
+ DESTDIR=$PKG \
+ INSTALL_MOD_PATH=$PKG \
+ DEPMOD="true"
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s%@KERNEL@%$KERNEL%" $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/wireguard-linux-compat/wireguard-linux-compat.info b/network/wireguard-linux-compat/wireguard-linux-compat.info
new file mode 100644
index 0000000000..4553ebe39e
--- /dev/null
+++ b/network/wireguard-linux-compat/wireguard-linux-compat.info
@@ -0,0 +1,10 @@
+PRGNAM="wireguard-linux-compat"
+VERSION="0.0.20191226"
+HOMEPAGE="https://www.wireguard.com/"
+DOWNLOAD="https://git.zx2c4.com/wireguard-linux-compat/snapshot/wireguard-linux-compat-0.0.20191226.tar.xz"
+MD5SUM="e1e16af3f2706e1734d78d2836296877"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Anj Duvnjak"
+EMAIL="alvind11@hotmail.com"